• Welcome to the new forum! We upgraded our forum software with a host of new boards, capabilities and features. It is also more secure.
    Jump in and join the conversation! You can learn more about the upgrade and new features here.

BeerSmith 3 will not open (crashing) on new Macbook

chestnutkingbrew

New Forum Member
Joined
Sep 21, 2021
Messages
2
Reaction score
0
I'll keep it brief. Been using BeerSmith 3 on an old Macbook (2013) for the past year and a half. Never had any issues with it. Unfortunately, my old Macbook died suddenly one day a couple of months ago. I recently bought a new Macbook (2020) to use for my homebrewing purposes but have had zero success in opening the application once downloaded and installed.

I've tried multiple different versions, both 3.2 and legacy versions to see if, for some odd reason, those worked even though the newest version has not. Not sure what more I can do.

If anyone has any info on how I can resolve this issue it would be greatly appreciated.

Cheers
 

BeerSmith

Staff member
Administrator
Grandmaster Brewer
Joined
Apr 5, 2003
Messages
5,881
Reaction score
67
Location
Virginia
Which OSX are you running?  If it is not Big Sur (i.e. an older edition) you may need to install the 3.2.7a download (which is not the same as 3.2.7) from the main download page at BeerSmith.com to get it working properly.  For Big Sur you need 3.2.7 however.

Brad
 

chestnutkingbrew

New Forum Member
Joined
Sep 21, 2021
Messages
2
Reaction score
0
It is Big Sur. I've tried 3.2.7 a few times now with no luck, but I'll give it another go. Is there any alternative fix to this if I do not get it working on 3.2.7?
 

jeffoneill

New Forum Member
Joined
Sep 25, 2021
Messages
1
Reaction score
0
I was having the same issue but figured out a way to get it to work:
  • Right click on BeerSmith3.app and click Show Package Contents
  • Go to Contents -> MacOS
  • Double click BeerSmith3.  This opens a terminal window that you can ignore.
 

BeerSmith

Staff member
Administrator
Grandmaster Brewer
Joined
Apr 5, 2003
Messages
5,881
Reaction score
67
Location
Virginia
For Big Sur you need 3.2.7 and for earlier versions use 3.2.7a.  Double check BeerSmith->About for the version number as I've had several people think they were running the new version but were instead running an older one.

Also for Big Sur you do need to be in Light (not dark) mode under Apple Settings->General for your computer.

Brad
 
Top